Bug 1456567 - "dialyzer --build_plt --apps erts kernel stdlib" crashes
Summary: "dialyzer --build_plt --apps erts kernel stdlib" crashes
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: erlang
Version: 30
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL: https://bugs.erlang.org/browse/ERL-294
Whiteboard:
: 1295663 1544053 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-29 15:26 UTC by leonov420
Modified: 2019-02-19 17:12 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1544053 (view as bug list)
Environment:
Last Closed: 2017-12-12 10:47:48 UTC


Attachments (Terms of Use)
erl_crash.dump (554.58 KB, text/plain)
2017-05-29 15:26 UTC, leonov420
no flags Details
Crash dump (553.69 KB, text/plain)
2018-02-10 00:12 UTC, dxtr
no flags Details

Description leonov420 2017-05-29 15:26:45 UTC
Created attachment 1283282 [details]
erl_crash.dump

Description of problem:
Dialyzer PLT build crashes everytime.

Version-Release number of selected component (if applicable):

dnf info erlang
Last metadata expiration check: 0:08:11 ago on Mon May 29 17:16:10 2017.
Installed Packages
Name        : erlang
Arch        : x86_64
Epoch       : 0
Version     : 19.3.4
Release     : 1.fc25

dnf info erlang-dialyzer
Last metadata expiration check: 0:08:22 ago on Mon May 29 17:16:10 2017.
Installed Packages
Name        : erlang-dialyzer
Arch        : x86_64
Epoch       : 0
Version     : 19.3.4
Release     : 1.fc25


How reproducible:

always

Steps to Reproduce:
1. dialyzer  --build_plt --apps erts kernel stdlib


Actual results:
Compiling some key modules to native code...{"init terminating in do_boot",{{badmatch,ok},[{dialyzer_cl,hc_cache,1,[{file,"dialyzer_cl.erl"},{line,572}]},{lists,foreach,2,[{file,"lists.erl"},{line,1338}]},{dialyzer_cl,hipe_compile,2,[{file,"dialyzer_cl.erl"},{line,516}]},{dialyzer_cl,do_analysis,4,[{file,"dialyzer_cl.erl"},{line,382}]},{dialyzer,'-cl/1-fun-0-',1,[{file,"dialyzer.erl"},{line,153}]},{dialyzer,doit,1,[{file,"dialyzer.erl"},{line,243}]},{dialyzer,plain_cl,0,[{file,"dialyzer.erl"},{line,84}]},{init,start_em,1,[]}]}}
init terminating in do_boot ()

Crash dump is being written to: erl_crash.dump...done



Expected results:
done (passed successfully)


Additional info:
crash dump attached.

Comment 1 Javi Roman 2017-10-02 07:34:42 UTC
The same problem with:

Installed Packages
Name        : erlang
Arch        : x86_64
Epoch       : 0
Version     : 19.3.6.1
Release     : 1.fc25

dnf info erlang-dialyzer
Name        : erlang-dialyzer
Arch        : x86_64
Epoch       : 0
Version     : 19.3.6.1
Release     : 1.fc25

Comment 2 Fedora End Of Life 2017-11-16 19:35:20 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-12-12 10:47:48 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 dxtr 2018-02-10 00:10:41 UTC
I'm having the same issue on Fedora 27:

$ dnf info erlang                                                                        
Last metadata expiration check: 3 days, 3:04:44 ago on 2018-02-06T22:01:36 CET.                                                            
Installed Packages                                                                                                                         
Name         : erlang                                                                                                                      
Version      : 19.3.6.5                                                                                                                    
Release      : 1.fc27
Arch         : x86_64                                                                                                                      
Size         : 25 k                                                                                                                        
Source       : erlang-19.3.6.5-1.fc27.src.rpm                                                                                              
Repo         : @System                                                                                                                     
From repo    : updates                                                                                                                     
Summary      : General-purpose programming language and runtime environment                                                                
URL          : https://www.erlang.org
License      : ASL 2.0                                                                                                                     
Description  : Erlang is a general-purpose programming language and runtime                                                                
             : environment. Erlang has built-in support for concurrency, distribution
             : and fault tolerance. Erlang is used in several large telecommunication
             : systems from Ericsson.

$ dnf info erlang-dialyzer                                                               
Last metadata expiration check: 3 days, 3:05:02 ago on 2018-02-06T22:01:36 CET.                                                            
Installed Packages                                                                                                                         
Name         : erlang-dialyzer                                                                                                             
Version      : 19.3.6.5                                                                                                                    
Release      : 1.fc27
Arch         : x86_64
Size         : 898 k
Source       : erlang-19.3.6.5-1.fc27.src.rpm
Repo         : @System
From repo    : updates                                                                                                                     
Summary      : A DIscrepancy AnaLYZer for ERlang programs                                                                                  
URL          : https://www.erlang.org                                                                                                      
License      : ASL 2.0                                                                                                                     
Description  : A DIscrepancy AnaLYZer for ERlang programs.               

$ dialyzer --raw --build_plt --apps erts kernel stdlib                                   
  Compiling some key modules to native code...{"init terminating in do_boot",{{badmatch,ok},[{dialyzer_cl,hc_cache,1,[{file,"dialyzer_cl.erl
"},{line,572}]},{lists,foreach,2,[{file,"lists.erl"},{line,1338}]},{dialyzer_cl,hipe_compile,2,[{file,"dialyzer_cl.erl"},{line,516}]},{dialy
zer_cl,do_analysis,4,[{file,"dialyzer_cl.erl"},{line,382}]},{dialyzer,'-cl/1-fun-0-',1,[{file,"dialyzer.erl"},{line,153}]},{dialyzer,doit,1,[{file,"dialyzer.erl"},{line,243}]},{dialyzer,plain_cl,0,[{file,"dialyzer.erl"},{line,84}]},{init,start_em,1,[]}]}}                        
init terminating in do_boot ()                                                                                                             
                                                                                                                                           
Crash dump is being written to: erl_crash.dump...done

Comment 5 dxtr 2018-02-10 00:12:53 UTC
Created attachment 1394059 [details]
Crash dump

Comment 6 Peter Lemenkov 2018-09-20 12:33:47 UTC
I thought we fixed it long time ago (see bug 1295663), but I've just tried and it still there.

Comment 7 Peter Lemenkov 2018-09-20 12:34:43 UTC
*** Bug 1295663 has been marked as a duplicate of this bug. ***

Comment 8 ECrownofFire 2018-10-16 07:50:06 UTC
Worth noting that a permanent fix for this was merged into Erlang 21.0, at https://github.com/erlang/otp/pull/1669. Haven't tested it myself, but it's something to consider if an upgrade to 21 is on the table.

Comment 9 Peter Lemenkov 2018-11-20 14:54:42 UTC
*** Bug 1544053 has been marked as a duplicate of this bug. ***

Comment 10 Ben Cotton 2019-02-19 17:12:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30.


Note You need to log in before you can comment on or make changes to this bug.